Subject: bug#38181: Actual height of mode-line not taken into account

From: martin rudalics <[email-masked]>
Date: Mon, 18 Oct 2021 19:44:08 +0200

> I've tested it in both master and emacs-28 branches and I've seen none
 > of the aforementioned issues nor, at least in a cursory examination,
 > any regression.
 >
 > It seems like you're displaying the modeline instead of merely using
 > the current height? There is no perceptible flickering in any case.

There's no "displaying" involved.  IIUC display_mode_line has become a
misnomer ever since it's used in pos_visible_p.  Basically, I do two
things: Run 'format-mode-line' and compute_line_metrics on the current
mode line strings.

Eli, I think this could go into Emacs 28.  WDYT?

martin